<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Pharma_Plus
 * @since 1.0
 * @version 1.2
 */
$phone = esc_html(get_theme_mod("bizfolio_phone"));
$email = is_email(get_theme_mod("bizfolio_email"));
$address = esc_html(get_theme_mod("bizfolio_address"));
$facebook = esc_url(get_theme_mod("bizfolio_facebook_link"));
$twitter = esc_url(get_theme_mod("bizfolio_twitter_link"));
$instagram = esc_url(get_theme_mod("bizfolio_instagram_link"));
$youtube = esc_url(get_theme_mod("bizfolio_youtube_link"));
$has_footer_contact = ('' !== $phone && false !== $email && '' !== $address) ? '' : 'force_hide';
$has_footer_social = ( (false === $facebook || '' === $facebook) && (false === $twitter || '' === $twitter) && (false === $instagram || '' === $instagram) && (false === $youtube || '' === $youtube) ) ? 'force_hide' : '';
$show_footer = ($has_footer_contact === 'force_hide' && $has_footer_social === 'force_hide' && !has_nav_menu('footer')) ? 'force_hide' : '';
?>
</div> <!-- /site-content -->
</div> <!-- /main-wrapper -->
<footer">
<div class="footer">
    <div class="container">
        <div class="footer-container-outer <?php echo $show_footer;?>">
            <div class="row">
                <?php if (has_nav_menu('footer')) { ?>
                    <div class="col-md-4">
                        <div class="footer-block-left">
                            <h3 class="bizfolio-title-with-underline"><?php echo __('Quick Links', 'bizfolio'); ?></h3>
                            <div class="footer-menu">
                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'footer',
                                    'menu_class' => 'footer_menu',
                                ));
                                ?>
                            </div>
                        </div>
                    </div>
                <?php } ?>
                <div class="col-md-4 <?php echo $has_footer_contact; ?>">
                    <div class="footer-block-center">
                        <h3 class="bizfolio-title-with-underline"><?php echo __('Contact', 'bizfolio'); ?></h3>
                        <div class="footer-contact-details">
                            <?php
                            if (isset($address) && '' !== $address) {
                                ?>
                                <div class="footer-address"><i class="fa fa-briefcase"></i><?php echo $address; ?>
                                </div>
                                <?php
                            }

                            if (isset($phone) && '' !== $phone) {
                                ?>
                                <div class="footer-mobile"><a href="tel:<?php echo $phone; ?>"><i
                                                class="fa fa-mobile-alt"></i> <?php echo $phone; ?></a></div>
                                <?php
                            }

                            if (isset($email) && '' !== $email) {
                                ?>
                                <div class="footer-email"><a href="mailto:<?php echo $email; ?>"><i
                                                class="fa fa-envelope"></i> <?php echo $email; ?></a></div>
                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 <?php echo $has_footer_social; ?>">
                    <div class="footer-block-right">
                        <h3 class="bizfolio-title-with-underline">Let's Connect</h3>
                        <div class="social-links">
                            <?php
                            if (isset($facebook) && '' !== $facebook) {
                                ?>
                                <a href="<?php echo $facebook; ?>" target="_blank"
                                   class="social-link social-facebook"><i class="fab fa-facebook"></i></a>
                                <?php
                            }

                            if (isset($twitter) && '' !== $twitter) {
                                ?>
                                <a href="<?php echo $twitter; ?>" target="_blank"
                                   class="social-link social-twitter"><i class="fab fa-twitter"></i></a>
                                <?php
                            }

                            if (isset($instagram) && '' !== $instagram) {
                                ?>
                                <a href="<?php echo $instagram; ?>" target="_blank"
                                   class="social-link social-instagram"><i class="fab fa-instagram"></i></a>
                                <?php
                            }

                            if (isset($instagram) && '' !== $instagram) {
                                ?>
                                <a href="<?php echo $youtube; ?>" target="_blank"
                                   class="social-link social-youtube"><i class="fab fa-youtube"></i></a>
                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="footer-bottom">
            <div class="row">
                <div class="footer_left col-md-6">
                    <p>&copy; <?php echo get_bloginfo() . ' ' . date('Y') ?>
                        . <?php echo __('All rights reserved', 'bizfolio') . '.' ?></p>
                </div>
                <div class="footer_right col-md-6">
                    <p><?php echo __('Powered by WordPress', 'bizfolio'); ?></p>
                </div>
            </div>
        </div>
    </div>
</div>
</footer>
</div> <!-- /site -->
<div class="back_to_top"><a href="#top"><i class="fa fa-angle-up"></i></a></div>
<?php wp_footer(); ?>
</body>
</html>