<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Pharma_Plus
 * @since 1.0
 * @version 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
	<?php wp_head(); ?>
    <?php
    $phone = sanitize_text_field( get_theme_mod("bizfolio_phone") );
    $email = is_email( get_theme_mod("bizfolio_email") );
    $address = sanitize_text_field( get_theme_mod("bizfolio_address") );
    $has_top_contact = ( '' !== $phone && ( '' !== $email && false !== $email ) ) ? '' : 'top_contact_empty';
    ?>
</head>

<body <?php body_class(); ?>>
    <div id="page" class="site"> <!-- site -->
        <header id="masthead" class="site-header" role="banner">
            <div class="container">
                <div class="row">
                    <div class="header_logo col-md-3">
                        <a href="<?php echo esc_url( home_url() );?>">
                            <div class="logo_div"><?php the_custom_logo(); ?></div>
                        </a>
                    </div>
                    <div class="header_contact col-md-9">
                        <div class="top-contact">
                            <?php
                            if(isset($phone) && '' !== $phone){
                            ?>
                                <div class="cotnact-btn contact-phone"><a href="tel:<?php echo $phone;?>"><i class="fa fa-mobile-alt"></i> <?php echo $phone;?></a></div>
                            <?php
                            }

                            if(isset($email) && '' !== $email && false !== $email){
                            ?>
                                <div class="cotnact-btn contact-email"><a href="mailto:<?php echo $email;?>"><i class="fa fa-envelope"></i> <?php echo $email;?></a></div>
                                <?php
                            }
                            ?>
                        </div>
                        <div class="navigation-top <?php echo $has_top_contact; ?>">
                            <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'bizfolio' ); ?>">
                                <button class="menu-toggle" aria-controls="top-menu" aria-expanded="false"><i class="fa fa-bars"></i></button>
                                <div class="main-navigation">
                                    <?php if ( has_nav_menu( 'top' ) ) :
                                        wp_nav_menu( array(
                                            'theme_location' => 'top',
                                            'menu_class'     => 'top_menu',
                                        ));
                                    endif; ?>
                                </div>
                            </nav><!-- #site-navigation -->
                        </div>
                    </div>
                </div>
            </div>
        </header><!-- #masthead -->
        <div class="main-wrapper"> <!-- main-wrapper -->
            <div class="site-content"> <!-- site-content -->
                <?php $bg = get_the_post_thumbnail_url();
                if(!empty($bg)){
                ?>
                    <div class="header-bg-block">
                        <div class="block-image-bg" style="background-image: url('<?php echo $bg; ?>')">
                            <?php if(!is_front_page()){ ?>
                                <div class="container">
                                    <div class="header-title"><h1 class="entry-title"><?php echo get_the_title(); ?></h1></div>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                <?php } ?>